CREATE TABLE cst_incoming_txn_costs_s_gt (
    CST_INV_TRANSACTION_ID       NUMBER(18, 0)     NOT NULL,
    USE_ITEM_COST_FLAG           VARCHAR2(4)       NOT NULL,
    COST_COMPONENT_ID            NUMBER(18, 0)     NOT NULL,
    COST                         NUMBER        ,
    ACQUISITION_AMOUNT           NUMBER        ,
    ENTERED_AMOUNT               NUMBER        ,
    PRIMARY_NET_DEL_QTY          NUMBER        ,
    SECONDARY_NET_DEL_QTY        NUMBER        ,
    PO_NET_DEL_QTY               NUMBER        ,
    PO_RCPT_QTY                  NUMBER        ,
    PRIMARY_RCPT_QTY             NUMBER        ,
    SECONDARY_RCPT_QTY           NUMBER        ,
    CALCULATED_COST_FLAG         VARCHAR2(4)   ,
    CURRENCY_CODE                VARCHAR2(60)  ,
    CURRENCY_CONVERSION_TYPE     VARCHAR2(120) ,
    CURRENCY_CONVERSION_DATE     TIMESTAMP(6)  ,
    CURRENCY_CONVERSION_RATE     NUMBER        ,
    COMPLETE_COST_FLAG           VARCHAR2(4)   ,
    LOAD_REQUEST_ID              NUMBER(18, 0) ,
    EXTERNAL_SYSTEM_REFERENCE    VARCHAR2(240) ,
    EXTERNAL_SYSTEM_REF_ID       VARCHAR2(120) ,
    EXTERNAL_SYSTEM_SOURCE       VARCHAR2(120) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    CODE_COMBINATION_ID          NUMBER(18, 0) ,
    SOURCE_DOC_CURR_CODE         VARCHAR2(60)  ,
    SOURCE_DOC_CURR_CONV_TYPE    VARCHAR2(120) ,
    SOURCE_DOC_CURR_CONV_RATE    NUMBER        ,
    SOURCE_DOC_CURR_CONV_DATE    TIMESTAMP(6)  ,
    PROCESS_FLAG                 VARCHAR2(4)   ,
    CST_INV_TRANSACTION_ID       NUMBER(18, 0)     NOT NULL,
    USE_ITEM_COST_FLAG           VARCHAR2(4)       NOT NULL,
    COST_COMPONENT_ID            NUMBER(18, 0)     NOT NULL,
    COST                         NUMBER        ,
    ACQUISITION_AMOUNT           NUMBER        ,
    ENTERED_AMOUNT               NUMBER        ,
    PRIMARY_NET_DEL_QTY          NUMBER        ,
    SECONDARY_NET_DEL_QTY        NUMBER        ,
    PO_NET_DEL_QTY               NUMBER        ,
    PO_RCPT_QTY                  NUMBER        ,
    PRIMARY_RCPT_QTY             NUMBER        ,
    SECONDARY_RCPT_QTY           NUMBER        ,
    CALCULATED_COST_FLAG         VARCHAR2(4)   ,
    CURRENCY_CODE                VARCHAR2(60)  ,
    CURRENCY_CONVERSION_TYPE     VARCHAR2(120) ,
    CURRENCY_CONVERSION_DATE     TIMESTAMP(6)  ,
    CURRENCY_CONVERSION_RATE     NUMBER        ,
    COMPLETE_COST_FLAG           VARCHAR2(4)   ,
    LOAD_REQUEST_ID              NUMBER(18, 0) ,
    EXTERNAL_SYSTEM_REFERENCE    VARCHAR2(240) ,
    EXTERNAL_SYSTEM_REF_ID       VARCHAR2(120) ,
    EXTERNAL_SYSTEM_SOURCE       VARCHAR2(120) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    CODE_COMBINATION_ID          NUMBER(18, 0) ,
    SOURCE_DOC_CURR_CODE         VARCHAR2(60)  ,
    SOURCE_DOC_CURR_CONV_TYPE    VARCHAR2(120) ,
    SOURCE_DOC_CURR_CONV_RATE    NUMBER        ,
    SOURCE_DOC_CURR_CONV_DATE    TIMESTAMP(6)  ,
    PROCESS_FLAG                 VARCHAR2(4)   
);
